Bug 844744 - [abrt]: [108358.192940] WARNING: at drivers/net/wireless/brcm80211/brcmsmac/main.c:7990 brcms_c_wait_for_tx_completion+0x8a/0xa0 [brcmsmac]()
[abrt]: [108358.192940] WARNING: at drivers/net/wireless/brcm80211/brcmsmac/m...
Status: CLOSED DUPLICATE of bug 787649
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
abrt_hash:9b7f372093740fdfa7a2a5fb69f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-31 11:37 EDT by chessmarcosz
Modified: 2012-09-04 11:04 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-04 11:04:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description chessmarcosz 2012-07-31 11:37:09 EDT
libreport version: 2.0.10
cmdline:        BOOT_IMAGE=/vmlinuz-3.4.4-4.fc16.i686.PAE root=UUID=8d6a224a-c6cd-44d7-bae0-e6f11994b315 ro rd.md=0 rd.lvm=0 rd.dm=0 quiet SYSFONT=latarcyrheb-sun16 acpi_osi=Linux rhgb rd.luks=0 LANG=es_ES.UTF-8 KEYTABLE=es

backtrace:
:[108358.192940] WARNING: at drivers/net/wireless/brcm80211/brcmsmac/main.c:7990 brcms_c_wait_for_tx_completion+0x8a/0xa0 [brcmsmac]()
:[108358.192946] Hardware name: eME730          
:[108358.192949] Modules linked in: tcp_lp vfat fat usb_storage ppdev parport_pc lp parport fuse ip6table_filter ip6_tables ebtable_nat ebtables ipt_MASQUERADE iptable_nat nf_nat nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack xt_CHECKSUM iptable_mangle bridge stp llc lockd be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 tpm_bios cxgb3i libcxgbi cxgb3 mdio ib_iser rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi binfmt_misc arc4 coretemp brcmsmac mac80211 brcmutil cfg80211 acer_wmi sparse_keymap crc8 cordic rfkill snd_hda_codec_hdmi snd_hda_codec_realtek uvcvideo joydev videobuf2_core videodev media videobuf2_vmalloc videobuf2_memops microcode snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device i2c_i801 snd_pcm iTCO_wdt iTCO_vendor_support broadcom intel_ips bcma snd_timer snd soundcore snd_page_alloc tg3 vhost_net macvtap macvlan tun kvm_intel kvm uinput sunrpc crc32c_intel mxm_wmi wmi i915 drm_kms_helper dr
:m i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
:[108358.193087] Pid: 32149, comm: kworker/u:1 Not tainted 3.4.4-4.fc16.i686.PAE #1
:[108358.193092] Call Trace:
:[108358.193104]  [<c094ab5c>] ? printk+0x2d/0x2f
:[108358.193116]  [<c0446f62>] warn_slowpath_common+0x72/0xa0
:[108358.193142]  [<f98d637a>] ? brcms_c_wait_for_tx_completion+0x8a/0xa0 [brcmsmac]
:[108358.193167]  [<f98d637a>] ? brcms_c_wait_for_tx_completion+0x8a/0xa0 [brcmsmac]
:[108358.193174]  [<c0446fb2>] warn_slowpath_null+0x22/0x30
:[108358.193199]  [<f98d637a>] brcms_c_wait_for_tx_completion+0x8a/0xa0 [brcmsmac]
:[108358.193218]  [<f98c9150>] brcms_ops_flush+0x30/0x50 [brcmsmac]
:[108358.193250]  [<f9954d28>] ieee80211_scan_work+0x328/0x570 [mac80211]
:[108358.193258]  [<c09523e9>] ? __schedule+0x379/0x780
:[108358.193269]  [<c045e91e>] ? queue_delayed_work_on+0x8e/0xf0
:[108358.193276]  [<c0953743>] ? _raw_spin_unlock_bh+0x13/0x20
:[108358.193282]  [<c045fb6b>] process_one_work+0xfb/0x390
:[108358.193312]  [<f9954a00>] ? ieee80211_scan_rx+0x1c0/0x1c0 [mac80211]
:[108358.193319]  [<c04608a1>] worker_thread+0x121/0x2d0
:[108358.193325]  [<c0460780>] ? manage_workers+0x1f0/0x1f0
:[108358.193333]  [<c0464c62>] kthread+0x72/0x80
:[108358.193341]  [<c0464bf0>] ? kthread_freezable_should_stop+0x60/0x60
:[108358.193351]  [<c095affe>] kernel_thread_helper+0x6/0x10
Comment 1 Ankur Sinha (FranciscoD) 2012-08-12 22:11:18 EDT
Experienced this today on:

Linux ankur.pc 3.5.1-1.fc17.x86_64 #1 SMP Thu Aug 9 17:50:43 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

[ 1508.994904] ------------[ cut here ]------------
[ 1508.994944] WARNING: at drivers/net/wireless/brcm80211/brcmsmac/main.c:7968 brcms_c_wait_for_tx_completion+0x99/0xb0 [brcmsmac]()
[ 1508.994946] Hardware name: Vostro 3400
[ 1508.994947] Modules linked in: fuse ip6table_filter ip6_tables ebtable_nat lockd ebtables sunrpc nfnetlink_log nfnetlink be2iscsi iscsi_boot_sysfs ipt_MASQUERADE iptable_nat nf_nat xt_state nf_conntrack_ipv4 xt_CHECKSUM nf_defrag_ipv4 iptable_mangle bridge bnx2i xt_conntrack cnic uio cxgb4i cxgb4 nf_conntrack stp llc cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm rfcomm ib_cm ib_sa ib_mad ib_core bnep iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi tpm_bios btusb bluetooth snd_hda_codec_hdmi snd_hda_codec_idt uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core videodev media snd_hda_intel snd_hda_codec snd_hwdep snd_pcm arc4 snd_page_alloc lpc_ich mei coretemp mfd_core snd_timer brcmsmac cordic brcmutil snd soundcore r8169 mac80211 cfg80211 rfkill dell_wmi intel_ips i2c_i801 mii sparse_keymap microcode bcma dell_laptop dcdbas vhost_net tun macvtap macvlan kvm_intel binfmt_misc kvm uinput crc32c_intel ghash_clmulni_intel nouveau mxm_wmi wmi video i2c_algo_bit drm_kms_helper ttm drm i2c_core [last unloaded: scsi_wait_scan]
[ 1508.995032] Pid: 7685, comm: kworker/u:0 Not tainted 3.5.1-1.fc17.x86_64 #1
[ 1508.995033] Call Trace:
[ 1508.995043]  [<ffffffff810584bf>] warn_slowpath_common+0x7f/0xc0
[ 1508.995048]  [<ffffffff8105851a>] warn_slowpath_null+0x1a/0x20
[ 1508.995062]  [<ffffffffa0369129>] brcms_c_wait_for_tx_completion+0x99/0xb0 [brcmsmac]
[ 1508.995072]  [<ffffffffa035b69b>] brcms_ops_flush+0x3b/0x60 [brcmsmac]
[ 1508.995093]  [<ffffffffa02cd82d>] ieee80211_scan_work+0x34d/0x5e0 [mac80211]
[ 1508.995098]  [<ffffffff81074409>] process_one_work+0x129/0x400
[ 1508.995113]  [<ffffffffa02cd4e0>] ? ieee80211_run_deferred_scan+0x80/0x80 [mac80211]
[ 1508.995118]  [<ffffffff81075f46>] worker_thread+0x126/0x2e0
[ 1508.995121]  [<ffffffff81075e20>] ? manage_workers.isra.26+0x1f0/0x1f0
[ 1508.995125]  [<ffffffff8107b4c3>] kthread+0x93/0xa0
[ 1508.995132]  [<ffffffff816148e4>] kernel_thread_helper+0x4/0x10
[ 1508.995136]  [<ffffffff8107b430>] ? flush_kthread_worker+0x80/0x80
[ 1508.995139]  [<ffffffff816148e0>] ? gs_change+0x13/0x13
[ 1508.995141] ---[ end trace 212ada2105f7be31 ]---
[ 1508.996742] ieee80211 phy0: brcms_c_ampdu_dotxstatus_complete: Pkt tx suppressed, illegal channel possibly 9
[ 2136.109344] ieee80211 phy0: brcms_c_prec_enq_head: No where to go, prec == 4
[ 2139.434053] ieee80211 phy0: brcms_c_prec_enq_head: No where to go, prec == 4
[ 2141.102180] ieee80211 phy0: brcms_c_prec_enq_head: No where to go, prec == 4
[ 2141.657145] ieee80211 phy0: brcms_c_prec_enq_head: No where to go, prec == 4
[ 2141.658070] ieee80211 phy0: brcms_c_prec_enq_head: No where to go, prec == 4
[ 2144.426882] ieee80211 phy0: brcms_c_prec_enq_head: No where to go, prec == 4
[ 2146.095001] ieee80211 phy0: brcms_c_prec_enq_head: No where to go, prec == 4
[ 2149.419661] ieee80211 phy0: brcms_c_prec_enq_head: No where to go, prec == 4
[root@ankur ~]#

Thanks,
Ankur
Comment 2 John W. Linville 2012-09-04 11:04:59 EDT

*** This bug has been marked as a duplicate of bug 787649 ***

Note You need to log in before you can comment on or make changes to this bug.